#!/usr/bin/make -f

export PYBUILD_NAME=gflags
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_python3:
	chmod +w debian/python3-gflags/usr/bin/gflags2man
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} gflags_unittest.py" \
		dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/python3-gflags/usr/bin/gflags2man.py $(CURDIR)/debian/python3-gflags/usr/bin/gflags2man
	PYTHONPATH=$(CURDIR) python3 gflags2man.py --dest_dir $(CURDIR) $(CURDIR)/debian/python3-gflags/usr/bin/gflags2man
